
%define		module	Cython

Summary:	Language for writing Python Extension Modules
Summary(pl.UTF-8):	Język służący do pisania modułów rozszerzających Pythona
Name:		python-%{module}
Version:	0.19.2
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
Source0:	http://www.cython.org/release/%{module}-%{version}.tar.gz
# Source0-md5:	4af1218346510b464c0a6bf15500d0e2
URL:		http://www.cython.org/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
%pyrequires_eq	python-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautocompressdoc	*.c

%description
Cython lets you write code that mixes Python and C data types any way
you want, and compiles it into a C extension for Python. Cython is
based on Pyrex.

%description -l pl.UTF-8
Cython pozwala pisać kod zawierający dane Pythona i języka C połączone
w jakikolwiek sposób i kompiluje to jako rozszerzenie C dla Pythona.
Cython jest oparty na Pyreksie.

%package examples
Summary:	Examples for Cython language
Summary(pl.UTF-8):	Przykłady programów w języku Cython
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for Cython language.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe programy napisane w języku Cython.

%prep
%setup -q -n %{module}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-purelib=%{py_sitescriptdir} \
	-O2

find $RPM_BUILD_ROOT%{py_sitedir} -name "*.py" -a ! -name 'Lexicon.py' -exec rm -f {} \;

cp -a Demos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING.txt README.txt ToDo.txt USAGE.txt Doc/*.html Doc/*.c
%attr(755,root,root) %{_bindir}/cython
%attr(755,root,root) %{_bindir}/cygdb
%{py_sitedir}/cython.py[co]
%{py_sitedir}/Cython
%{py_sitedir}/pyximport
%{py_sitedir}/Cython-*.egg-info

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Oct 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Cython.git;a=log;h=master

* Sun Oct 20 2013 Jakub Bogusz <qboosh@pld-linux.org> fbf8587
- updated to 0.19.2

* Mon May 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 06b0b7b
- updated to 0.19.1

* Sun Jan 06 2013 Jakub Bogusz <qboosh@pld-linux.org> f0c8ea1
- updated to 0.17.4

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> b320faa
- updated to 0.17.3

* Sat Nov 24 2012 wrobell <wrobell@pld-linux.org> 7219572
- ver. 0.17.2

* Sun Oct 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 2f3f9df
- updated to 0.17.1

* Thu Sep 06 2012 Jakub Bogusz <qboosh@pld-linux.org> e86f9b9
- updated to 0.17

* Tue Jun 05 2012 Jakub Bogusz <qboosh@pld-linux.org> c97962c
- updated to 0.16

* Wed Nov 02 2011 Jakub Bogusz <qboosh@pld-linux.org> e752d74
- updated to 0.15.1
- killed copy-pastos
- fixed License (Apache v2.0 now); package COPYING.txt with licensing notes

* Fri Jan 07 2011 Mateusz Korniak <matkor@pld-linux.org> 52da8e1
- Version 0.14-1.

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ac7c23
- release 2

* Wed May 12 2010 sparky <sparky@pld-linux.org> 455ac15
- BR: python-devel

* Thu Mar 11 2010 Artur Frysiak <artur@frysiak.net> 81b5c35
- 0.12.1

* Sun Mar 15 2009 duddits <duddits@pld-linux.org> f7af39b
- up to 0.10.3
- %files

* Sat May 03 2008 witekfl <witekfl@pld-linux.org> 6f08c5d
- PyRex -> Pyrex

* Sat May 03 2008 witekfl <witekfl@pld-linux.org> c851376
- new, based on python-Pyrex.

